libgutenprint API Reference: include/gutenprint/xml.h File Reference

libgutenprint API Reference 5.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
xml.h File Reference

XML tree functions. More...

`#include <gutenprint/mxml.h>`

## Typedefs
typedef int(* | stp_xml_parse_func )(stp_mxml_node_t *node, const char *file)

## Functions
void | stp_register_xml_parser (const char *name, stp_xml_parse_func parse_func)
void | stp_unregister_xml_parser (const char *name)
void | stp_register_xml_preload (const char *filename)
void | stp_unregister_xml_preload (const char *filename)
int | stp_xml_init_defaults (void)
int | stp_xml_parse_file (const char *file)
long | stp_xmlstrtol (const char *value)
unsigned long | stp_xmlstrtoul (const char *value)
double | stp_xmlstrtod (const char *textval)
stp_raw_t * | stp_xmlstrtoraw (const char *textval)
char * | stp_rawtoxmlstr (const stp_raw_t *raw)
char * | stp_strtoxmlstr (const char *raw)
void | stp_prtraw (const stp_raw_t *raw, FILE *fp)
void | stp_xml_init (void)
void | stp_xml_exit (void)
stp_mxml_node_t * | stp_xml_get_node (stp_mxml_node_t *xmlroot,...)
stp_mxml_node_t * | stp_xmldoc_create_generic (void)
void | stp_xml_preinit (void)
stp_sequence_t * | stp_sequence_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_sequence (const stp_sequence_t *seq)
stp_curve_t * | stp_curve_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_curve (const stp_curve_t *curve)
stp_array_t * | stp_array_create_from_xmltree (stp_mxml_node_t *array)
stp_vars_t * | stp_vars_create_from_xmltree (stp_mxml_node_t *da)
stp_mxml_node_t * | stp_xmltree_create_from_array (const stp_array_t *array)
stp_vars_t * | stp_vars_create_from_xmltree_ref (stp_mxml_node_t *da, stp_mxml_node_t *root)
void | stp_vars_fill_from_xmltree (stp_mxml_node_t *da, stp_vars_t *v)
void | stp_vars_fill_from_xmltree_ref (stp_mxml_node_t *da, stp_mxml_node_t *root, stp_vars_t *v)
stp_mxml_node_t * | stp_xmltree_create_from_vars (const stp_vars_t *v)
void | stp_xml_parse_file_named (const char *name)

## Detailed Description

XML tree functions.

## Typedef Documentation

typedef int(* stp_xml_parse_func)(stp_mxml_node_t *node, const char *file)

## Function Documentation

stp_array_t* stp_array_create_from_xmltree | ( | stp_mxml_node_t * | array | ) |

stp_curve_t* stp_curve_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

void stp_prtraw | ( | const stp_raw_t * | raw,
|  | FILE * | fp
| ) |  |

char* stp_rawtoxmlstr | ( | const stp_raw_t * | raw | ) |

void stp_register_xml_parser | ( | const char * | name,
|  | stp_xml_parse_func | parse_func
| ) |  |

void stp_register_xml_preload | ( | const char * | filename | ) |

stp_sequence_t* stp_sequence_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

char* stp_strtoxmlstr | ( | const char * | raw | ) |

void stp_unregister_xml_parser | ( | const char * | name | ) |

void stp_unregister_xml_preload | ( | const char * | filename | ) |

stp_vars_t* stp_vars_create_from_xmltree | ( | stp_mxml_node_t * | da | ) |

stp_vars_t* stp_vars_create_from_xmltree_ref | ( | stp_mxml_node_t * | da,
|  | stp_mxml_node_t * | root
| ) |  |

void stp_vars_fill_from_xmltree | ( | stp_mxml_node_t * | da,
|  | stp_vars_t * | v
| ) |  |

void stp_vars_fill_from_xmltree_ref | ( | stp_mxml_node_t * | da,
|  | stp_mxml_node_t * | root,
|  | stp_vars_t * | v
| ) |  |

void stp_xml_exit | ( | void |  | ) |

stp_mxml_node_t* stp_xml_get_node | ( | stp_mxml_node_t * | xmlroot,
|  |  | ...
| ) |  |

void stp_xml_init | ( | void |  | ) |

int stp_xml_init_defaults | ( | void |  | ) |

int stp_xml_parse_file | ( | const char * | file | ) |

void stp_xml_parse_file_named | ( | const char * | name | ) |

void stp_xml_preinit | ( | void |  | ) |

stp_mxml_node_t* stp_xmldoc_create_generic | ( | void |  | ) |

double stp_xmlstrtod | ( | const char * | textval | ) |

long stp_xmlstrtol | ( | const char * | value | ) |

stp_raw_t* stp_xmlstrtoraw | ( | const char * | textval | ) |

unsigned long stp_xmlstrtoul | ( | const char * | value | ) |

stp_mxml_node_t* stp_xmltree_create_from_array | ( | const stp_array_t * | array | ) |

stp_mxml_node_t* stp_xmltree_create_from_curve | ( | const stp_curve_t * | curve | ) |

stp_mxml_node_t* stp_xmltree_create_from_sequence | ( | const stp_sequence_t * | seq | ) |

stp_mxml_node_t* stp_xmltree_create_from_vars | ( | const stp_vars_t * | v | ) |